import flask
from htmlpy import Link


def is_onion(req: flask.globals.request) -> bool:
    return req.host.endswith("onion")


def is_i2p(req: flask.globals.request) -> bool:
    return req.host.endswith("i2p")


def dynamic_link(
    inner, normal: str, onion: str, i2p: str, req: flask.globals.request
) -> Link:
    if is_onion(req):
        return Link(onion, inner)
    if is_i2p(req):
        return Link(i2p, inner)
    return Link(normal, inner)
